Stack = {
  stack = nil
}
Stack.__index = Stack
 
function Stack:new(list)
  local s = {}
  setmetatable(s, Stack)
  s.stack = list or {}
  return s
end
 
function Stack:push(item)
  self.stack[#self.stack + 1] = item
end
 
function Stack:pop()
  if #self.stack > 0 then
    return table.remove(self.stack, #self.stack)
  end
end
 
function Stack:size()
  local count = 0
  for index, value in pairs(self.stack) do
    count = count + 1
  end
  return count;
end

function Stack:list()
  local str = ""
  for index, value in pairs(self.stack) do
    str = str .. (value .. " ")
  end
  return str;
end

return Stack